Name:          luke
Version:       1.0.1
Release:       %mkrel 1
Summary:       Lucene Index Toolbox
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/luke/
# svn checkout http://luke.googlecode.com/svn/tags/1.0.1/ luke-1.0.1
# rm -rf luke-1.0.1/lib/lucene-snowball-3.0.1.jar
# rm -rf luke-1.0.1/lib/js.jar
# rm -rf luke-1.0.1/lib/lucene-core-3.0.1.jar
# rm -rf luke-1.0.1/lib/lucene-analyzers-3.0.1.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-httpclient-3.0.1.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-logging-api-1.0.4.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-codec-1.3.jar
# rm -rf luke-1.0.1/lib/hadoop/xmlenc-0.52.jar
# rm -rf luke-1.0.1/lib/hadoop/slf4j-api-1.4.3.jar
# rm -rf luke-1.0.1/lib/hadoop/jets3t-0.6.1.jar
# rm -rf luke-1.0.1/lib/hadoop/hadoop-0.20.2-core.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-logging-1.0.4.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-net-1.4.1.jar
# rm -rf luke-1.0.1/lib/hadoop/commons-cli-1.2.jar
# rm -rf luke-1.0.1/lib/hadoop/ehcache-1.6.0.jar
# rm -rf luke-1.0.1/lib/hadoop/kfs-0.2.2.jar
# rm -rf luke-1.0.1/lib/hadoop/log4j-1.2.15.jar
# rm -rf luke-1.0.1/lib/hadoop/oro-2.0.8.jar
# rm -rf luke-1.0.1/lib/hadoop/slf4j-log4j12-1.4.3.jar
# rm -rf luke-1.0.1/lib/lucene-misc-3.0.1.jar
# rm -rf luke-1.0.1/lib/lucene-xml-query-parser-3.0.1.jar
# rm -rf luke-1.0.1/lib/lucene-queries-3.0.1.jar
# tar czf luke-1.0.1-src-svn.tar.gz luke-1.0.1
Source0:       luke-1.0.1-src-svn.tar.gz
Source1:       luke.desktop
Source2:       luke-script
Patch0:        luke-1.0.1-no_classpath.patch
Patch1:        luke-1.0.1-no_jarall-no_jarmin.patch
Patch2:        luke-1.0.1-IndexGate.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ehcache-core
BuildRequires: hadoop
BuildRequires: lucene3
BuildRequires: lucene3-contrib
BuildRequires: liblog4j-java
BuildRequires: rhino
BuildRequires: slf4j

#BuildRequires: apache-commons-cli
#BuildRequires: apache-commons-codec
#BuildRequires: apache-commons-logging
#BuildRequires: apache-commons-net
#BuildRequires: jakarta-commons-httpclient
#BuildRequires: jakarta-oro
#BuildRequires: jets3t07
#BuildRequires: kfs
#BuildRequires: xmlenc

BuildRequires: desktop-file-utils
BuildRequires: imagemagick

Requires:      lucene3
Requires:      lucene3-contrib
Requires:      rhino

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Lucene is an Open Source, mature and high-performance Java search engine. It
is highly flexible, and scalable from hundreds to millions of documents.

Luke is a handy development and diagnostic tool, which accesses already existing Lucene indexes and
allows you to display and modify their content in several ways:

* browse by document number, or by term
* view documents / copy to clipboard
* retrieve a ranked list of most frequent terms
* execute a search, and browse the results
* analyze search results
* selectively delete documents from the index
* reconstruct the original document fields, edit them and re-insert to the index
* optimize indexes
* open indexes consisting of multiple parts, and located on Hadoop filesystem

%files
%{_javadir}/%{name}.jar
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%doc CHANGES.html

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

pushd lib
  ln -sf $(build-classpath lucene3) lucene-core-3.0.1.jar
  ln -sf $(build-classpath lucene3-contrib/lucene3-analyzers) lucene-analyzers-3.0.1.jar
  ln -sf $(build-classpath lucene3-contrib/lucene3-misc) lucene-misc-3.0.1.jar
  ln -sf $(build-classpath lucene3-contrib/lucene3-queries) lucene-queries-3.0.1.jar
  ln -sf $(build-classpath lucene3-contrib/lucene3-snowball) lucene-snowball-3.0.1.jar
  ln -sf $(build-classpath lucene3-contrib/lucene3-xml-query-parser) lucene-xml-query-parser-3.0.1.jar
  ln -sf $(build-classpath rhino) js.jar
  pushd hadoop
    ln -sf $(build-classpath ehcache-core) ehcache-1.6.0.jar
    ln -sf $(build-classpath hadoop/core) hadoop-0.20.2-core.jar
    ln -sf $(build-classpath log4j) log4j-1.2.15.jar
    ln -sf $(build-classpath slf4j/api) slf4j-api-1.4.3.jar
    ln -sf $(build-classpath slf4j/log4j12) slf4j-log4j12-1.4.3.jar
#    ln -sf $(build-classpath commons-cli) commons-cli-1.2.jar
#    ln -sf $(build-classpath commons-codec) commons-codec-1.3.jar
#    ln -sf $(build-classpath commons-httpclient) commons-httpclient-3.0.1.jar
#    ln -sf $(build-classpath commons-logging) commons-logging-1.0.4.jar
#    ln -sf $(build-classpath commons-logging-api) commons-logging-api-1.0.4.jar
#    ln -sf $(build-classpath commons-httpclient) commons-net-1.4.1.jar
#    ln -sf $(build-classpath oro) oro-2.0.8.jar
#    ln -sf $(build-classpath jets3t07) jets3t-0.6.1.jar
#    ln -sf $(build-classpath kfs) kfs-0.2.2.jar
#    ln -sf $(build-classpath xmlenc) xmlenc-0.52.jar
  popd

popd

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}/
install -m 644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/api/* %{buildroot}%{_javadocdir}/%{name}

for png in 24x24 32x32 48x48 ; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${png}/apps
  convert -geometry $png %{name}.gif %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s  ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE1} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}



%changelog

* Sun Jan 08 2012 gil <gil> 1.0.1-1.mga2
+ Revision: 193488
- imported package luke

